Page MenuHomePhabricator

wikinews-l's spam filter (score) does not work
Closed, ResolvedPublic

Description

Per the Wikitech's guide, we've set up an spam filter that will discard any mails with +3 spam score.


However it seems that score with +11 is stored on admin queue.

Either the wikitech's config is not working or mailman is doing something wrong.

Event Timeline

revi created this task.Mar 20 2017, 5:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2017, 5:32 AM
Aklapper renamed this task from wikinews-l's spam filter does not work to wikinews-l's spam filter (score) does not work.Mar 20 2017, 10:58 AM
revi added a comment.Mar 22 2017, 1:29 PM

2017-03-22 08:18:12 <mutante> revi: maybe the regex thinks it must be X-Spam-Score immediately followed by 3 +'s, but in reality it is X-Spam-Score: <number> and then +'s
@ #wikimedia-operations in IRC.

revi added a comment.Mar 22 2017, 2:52 PM

Configured wikinews-l (receiving about 700 spams in the queue daily) to use that settings. Let's see if queue decreases.

revi closed this task as Resolved.EditedMar 22 2017, 3:39 PM
revi claimed this task.

It seems to be working now. (Never got such message before.)